function frameLooper (stringarray, delay, timer, e) {
	if (stringarray.length > 0) {
		e[0].innerHTML += stringarray.shift();
	} else {
		clearTimeout(timer);
	}
	loopTimer = setTimeout(frameLooper,delay,stringarray,delay,timer,e); /* change 70 for speed */
}


jQuery(document).ready(function($){
	$(".typing-text").each(function(){
		if($(this).data("textDiv") != undefined) {
			var text = $($(this).data("textDiv")).html();
		}
		else if($(this).data("text") != undefined) {
			var text = $(this).data("text");
		} else {
			var text = $(this).html();
			$(this).html("");
		}
		if($(this).data("delay") != undefined) {
			var delay = $(this).data("delay");
		} else {
			var delay = 70;
		}
		var stringarray = text.split("");
		var timer;
		frameLooper(stringarray, delay, timer, $(this));
	})
})